SUBDIRS = common kcmnewsticker kntsrcfilepropsdlg knewstickerstub
INCLUDES = -I$(top_srcdir)/knewsticker/common $(all_includes)

kde_module_LTLIBRARIES = knewsticker_panelapplet.la

noinst_HEADERS = newsscroller.h knewsticker.h

METASOURCES = AUTO

knewsticker_panelapplet_la_SOURCES = newsscroller.cpp \
	knewsticker.cpp knewsticker.skel
knewsticker_panelapplet_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
knewsticker_panelapplet_la_LIBADD = common/libknewstickercommon.la \
	$(LIB_KIO) $(LIB_KDEUI)

datadir = $(kde_datadir)/knewsticker
data_DATA = eventsrc

updatedir = $(kde_datadir)/kconf_update
update_DATA = knewsticker.upd knt-0.1-0.2.pl

lnkdir = $(kde_datadir)/kicker/applets
lnk_DATA = knewsticker.desktop

appsdir = $(kde_appsdir)/Internet/More
apps_DATA = knewsticker-standalone.desktop

install-data-local: uninstall.desktop
	$(mkinstalldirs) $(DESTDIR)$(kde_appsdir)/Internet
	$(INSTALL_DATA) $(srcdir)/uninstall.desktop $(DESTDIR)$(kde_appsdir)/Internet/knewsticker-standalone.desktop

KDE_ICON = AUTO

messages:
	$(XGETTEXT) *.cpp *.h knewstickerstub/*.cpp common/*.h common/*.cpp kntsrcfilepropsdlg/*.cpp -o $(podir)/knewsticker.pot

